For the complete documentation index, see llms.txt. This page is also available as Markdown.

Workspaces

put
Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
engine_idstringRequired
Body
seed_valueinteger · nullableOptionalDefault: 42
use_seedboolean · nullableOptionalDefault: true
initialization_modestring · enum · nullableOptionalDefault: DE_IDENTIFYPossible values:
key_generation_methodstring · enum · nullableOptionalDefault: duplicatePossible values:
n_parallel_pipeline_processesinteger · nullableOptionalDefault: 1
default_n_training_rowsinteger · nullableOptionalDefault: 100000
default_sample_noise_rationumber · nullableOptionalDefault: 0.0001
default_max_n_feat_per_modelinteger · nullableOptionalDefault: -1
default_feat_model_train_orderstring · nullableOptionalDefault: as_given
default_cardinality_thresholdinteger · nullableOptionalDefault: 10
default_rare_category_replacementstring · nullableOptionalDefault: *
default_clip_thresholdinteger · nullableOptionalDefault: 0
default_localestring · enum · nullableOptionalDefault: enPossible values:
default_pii_mock_replaceboolean · nullableOptionalDefault: false
default_noise_factornumber · nullableOptionalDefault: 0.0001
default_textpii_parallel_jobsinteger · nullableOptionalDefault: 2
default_textpii_scan_batch_sizeinteger · nullableOptionalDefault: 1000
default_cutoff_lengthinteger · nullableOptionalDefault: 1000
default_min_sample_sizeinteger · nullableOptionalDefault: 5
default_consistent_integer_shuffle_thresholdinteger · nullableOptionalDefault: 0
default_max_pending_tasksinteger · nullableOptionalDefault: 1
default_exclude_tablesboolean · nullableOptionalDefault: false
default_n_preview_training_rowsinteger · nullableOptionalDefault: 1000
default_compute_ai_previewboolean · nullableOptionalDefault: false
default_data_batch_sizeinteger · nullableOptionalDefault: null
default_n_connectionsinteger · nullableOptionalDefault: null
default_parallel_writingboolean · nullableOptionalDefault: true
pii_model_settingsobject · Pii Model Settings · nullableOptionalDefault: null
default_text_processor_model_settingsobject · Default Text Processor Model Settings · nullableOptionalDefault: null
idstring · uuidRequired
Responses
200Success
application/json
idstring · nullableOptionalDefault: null
codestringRequired
titlestringRequired
bodystring[]Required
durabilitystring · enum · nullableOptionalDefault: temporaryPossible values:
durationinteger · nullableOptionalDefault: 5000
kindstring · enum · nullableOptionalDefault: infoPossible values:
payloadanyOptionalDefault: null
actionobject · Action · nullableOptionalDefault: null
displaystring · enum · nullableOptionalDefault: notificationPossible values:
created_atstring · nullableOptionalDefault: null
put/api/v1/engine/{engine_id}/update-settings/
PUT /api/v1/engine/{engine_id}/update-settings/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 984

{
  "seed_value": 42,
  "use_seed": true,
  "initialization_mode": "DE_IDENTIFY",
  "key_generation_method": "duplicate",
  "n_parallel_pipeline_processes": 1,
  "default_n_training_rows": 100000,
  "default_sample_noise_ratio": 0.0001,
  "default_max_n_feat_per_model": -1,
  "default_feat_model_train_order": "as_given",
  "default_cardinality_threshold": 10,
  "default_rare_category_replacement": "*",
  "default_clip_threshold": 0,
  "default_locale": "en",
  "default_pii_mock_replace": false,
  "default_noise_factor": 0.0001,
  "default_textpii_parallel_jobs": 2,
  "default_textpii_scan_batch_size": 1000,
  "default_cutoff_length": 1000,
  "default_min_sample_size": 5,
  "default_consistent_integer_shuffle_threshold": 0,
  "default_max_pending_tasks": 1,
  "default_exclude_tables": false,
  "default_n_preview_training_rows": 1000,
  "default_compute_ai_preview": false,
  "default_data_batch_size": 1,
  "default_n_connections": 1,
  "default_parallel_writing": true,
  "pii_model_settings": {},
  "default_text_processor_model_settings": {},
  "id": "123e4567-e89b-12d3-a456-426614174000"
}
200Success
{
  "id": "text",
  "code": "text",
  "title": "text",
  "body": [
    "text"
  ],
  "durability": "temporary",
  "duration": 5000,
  "kind": "info",
  "details": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  },
  "payload": null,
  "action": {},
  "display": "notification",
  "created_at": "text"
}
get

List workspace

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Responses
200

Success: Workspace List

application/json
get/api/v1/workspaces/
GET /api/v1/workspaces/ HTTP/1.1
Accept: */*
200

Success: Workspace List

{
  "workspaces": [
    {
      "pk": 1,
      "name": "text",
      "organization": 1,
      "engine_id": "text",
      "owner_name": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "status": "text",
      "engine": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "latest_job_status": "CREATED",
        "connector_type": "text",
        "source_database_status": "CURRENT"
      },
      "initialization_mode": "MOCK",
      "key_generation_method": "duplicate",
      "default_locale": "en"
    }
  ]
}
post

Create a new workspace and engine

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Query parameters
sample_dbstringOptional

The sample database to use

Body
initialization_modestring · enum · nullableOptionalDefault: DE_IDENTIFYPossible values:
key_generation_methodstring · enum · nullableOptionalDefault: duplicatePossible values:
default_localestring · enum · nullableOptionalDefault: enPossible values:
sourceone ofRequired
or
or
or
or
or
or
targetone of · nullableRequired
or
or
or
or
or
or
or
or
default_exclude_tablesboolean · nullableOptionalDefault: false
namestringRequired
organizationintegerRequired
Responses
200

Success: Created workspace

application/json
pkinteger · nullableOptionalDefault: null
namestringRequired
organizationintegerRequired
engine_idstring · nullableOptionalDefault: null
owner_namestring · nullableOptionalDefault: null
created_atstring · date-time · nullableOptionalDefault: null
statusstring · nullableOptionalDefault: null
initialization_modestring · enum · nullableOptionalDefault: nullPossible values:
key_generation_methodstring · enum · nullableOptionalDefault: nullPossible values:
default_localestring · enum · nullableOptionalDefault: nullPossible values:
post/api/v1/workspaces/
POST /api/v1/workspaces/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1299

{
  "initialization_mode": "DE_IDENTIFY",
  "key_generation_method": "duplicate",
  "default_locale": "en",
  "source": {
    "hooks_params": {
      "SSHTunnel": {
        "host": "text",
        "port": 1,
        "username": "text",
        "local_port": 1,
        "local_host": "text",
        "password": "text",
        "pkey_password": "text",
        "pkey": "text"
      },
      "SSL": {
        "ca_filename": "text",
        "cert_filename": "text",
        "key_filename": "text",
        "ssl_mode": "text",
        "ca": "text",
        "cert": "text",
        "key": "text"
      },
      "Kerberos": {
        "principal": "text",
        "keytab_file": "text"
      }
    },
    "is_source": true,
    "connector_type": "text",
    "host": "text",
    "database": "text",
    "username": "text",
    "password": "text",
    "schema_name": "text",
    "port": 1433,
    "protocol": "mssql+pyodbc",
    "include_views": false,
    "fast_executemany": true
  },
  "target": {
    "hooks_params": {
      "SSHTunnel": {
        "host": "text",
        "port": 1,
        "username": "text",
        "local_port": 1,
        "local_host": "text",
        "password": "text",
        "pkey_password": "text",
        "pkey": "text"
      },
      "SSL": {
        "ca_filename": "text",
        "cert_filename": "text",
        "key_filename": "text",
        "ssl_mode": "text",
        "ca": "text",
        "cert": "text",
        "key": "text"
      },
      "Kerberos": {
        "principal": "text",
        "keytab_file": "text"
      }
    },
    "is_source": true,
    "connector_type": "text",
    "host": "text",
    "database": "text",
    "username": "text",
    "password": "text",
    "schema_name": "text",
    "port": 1433,
    "protocol": "mssql+pyodbc",
    "include_views": false,
    "fast_executemany": true
  },
  "default_exclude_tables": false,
  "name": "text",
  "organization": 1
}
{
  "pk": 1,
  "name": "text",
  "organization": 1,
  "engine_id": "text",
  "owner_name": "text",
  "created_at": "2026-01-01T00:00:00.000Z",
  "status": "text",
  "engine": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "latest_job_status": "CREATED",
    "connector_type": "text",
    "source_database_status": "CURRENT"
  },
  "initialization_mode": "MOCK",
  "key_generation_method": "duplicate",
  "default_locale": "en"
}
get
Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
idintegerRequired
Responses
200Success
application/json
pkinteger · nullableOptionalDefault: null
namestringRequired
organizationintegerRequired
engine_idstring · nullableOptionalDefault: null
owner_namestring · nullableOptionalDefault: null
created_atstring · date-time · nullableOptionalDefault: null
statusstring · nullableOptionalDefault: null
initialization_modestring · enum · nullableOptionalDefault: nullPossible values:
key_generation_methodstring · enum · nullableOptionalDefault: nullPossible values:
default_localestring · enum · nullableOptionalDefault: nullPossible values:
get/api/v1/workspaces/{id}/
GET /api/v1/workspaces/{id}/ HTTP/1.1
Accept: */*
200Success
{
  "pk": 1,
  "name": "text",
  "organization": 1,
  "engine_id": "text",
  "owner_name": "text",
  "created_at": "2026-01-01T00:00:00.000Z",
  "status": "text",
  "engine": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "latest_job_status": "CREATED",
    "connector_type": "text",
    "source_database_status": "CURRENT"
  },
  "initialization_mode": "MOCK",
  "key_generation_method": "duplicate",
  "default_locale": "en"
}
put

Update a workspace and engine

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
idintegerRequired
Body
initialization_modestring · enum · nullableOptionalDefault: DE_IDENTIFYPossible values:
key_generation_methodstring · enum · nullableOptionalDefault: duplicatePossible values:
default_localestring · enum · nullableOptionalDefault: enPossible values:
sourceone of · nullableOptionalDefault: null
or
or
or
or
or
or
targetone of · nullableOptionalDefault: null
or
or
or
or
or
or
or
or
namestringRequired
Responses
200

Success: Created workspace

application/json
pkinteger · nullableOptionalDefault: null
namestringRequired
organizationintegerRequired
engine_idstring · nullableOptionalDefault: null
owner_namestring · nullableOptionalDefault: null
created_atstring · date-time · nullableOptionalDefault: null
statusstring · nullableOptionalDefault: null
initialization_modestring · enum · nullableOptionalDefault: nullPossible values:
key_generation_methodstring · enum · nullableOptionalDefault: nullPossible values:
default_localestring · enum · nullableOptionalDefault: nullPossible values:
put/api/v1/workspaces/{id}/
PUT /api/v1/workspaces/{id}/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1227

{
  "initialization_mode": "DE_IDENTIFY",
  "key_generation_method": "duplicate",
  "default_locale": "en",
  "source": {
    "hooks_params": {
      "SSHTunnel": {
        "host": "text",
        "port": 1,
        "username": "text",
        "local_port": 1,
        "local_host": "text",
        "password": "text",
        "pkey_password": "text",
        "pkey": "text"
      },
      "SSL": {
        "ca_filename": "text",
        "cert_filename": "text",
        "key_filename": "text",
        "ssl_mode": "text",
        "ca": "text",
        "cert": "text",
        "key": "text"
      },
      "Kerberos": {
        "principal": "text",
        "keytab_file": "text"
      }
    },
    "is_source": true,
    "connector_type": "text",
    "host": "text",
    "database": "text",
    "username": "text",
    "password": "text",
    "schema_name": "text",
    "port": 1,
    "protocol": "text",
    "include_views": true,
    "fast_executemany": true
  },
  "target": {
    "hooks_params": {
      "SSHTunnel": {
        "host": "text",
        "port": 1,
        "username": "text",
        "local_port": 1,
        "local_host": "text",
        "password": "text",
        "pkey_password": "text",
        "pkey": "text"
      },
      "SSL": {
        "ca_filename": "text",
        "cert_filename": "text",
        "key_filename": "text",
        "ssl_mode": "text",
        "ca": "text",
        "cert": "text",
        "key": "text"
      },
      "Kerberos": {
        "principal": "text",
        "keytab_file": "text"
      }
    },
    "is_source": true,
    "connector_type": "text",
    "host": "text",
    "database": "text",
    "username": "text",
    "password": "text",
    "schema_name": "text",
    "port": 1,
    "protocol": "text",
    "include_views": true,
    "fast_executemany": true
  },
  "name": "text"
}
{
  "pk": 1,
  "name": "text",
  "organization": 1,
  "engine_id": "text",
  "owner_name": "text",
  "created_at": "2026-01-01T00:00:00.000Z",
  "status": "text",
  "engine": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "latest_job_status": "CREATED",
    "connector_type": "text",
    "source_database_status": "CURRENT"
  },
  "initialization_mode": "MOCK",
  "key_generation_method": "duplicate",
  "default_locale": "en"
}
post

Duplicates a workspace, including permissions

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
idintegerRequired
Body
initialization_modestring · enum · nullableOptionalDefault: DE_IDENTIFYPossible values:
key_generation_methodstring · enum · nullableOptionalDefault: duplicatePossible values:
default_localestring · enum · nullableOptionalDefault: enPossible values:
sourceone of · nullableOptionalDefault: null
or
or
or
or
or
or
targetone of · nullableOptionalDefault: null
or
or
or
or
or
or
or
or
namestringRequired
Responses
200

Success: Created workspace

application/json
idstring · nullableOptionalDefault: null
codestringRequired
titlestringRequired
bodystring[]Required
durabilitystring · enum · nullableOptionalDefault: temporaryPossible values:
durationinteger · nullableOptionalDefault: 5000
kindstring · enum · nullableOptionalDefault: infoPossible values:
payloadanyOptionalDefault: null
actionobject · Action · nullableOptionalDefault: null
displaystring · enum · nullableOptionalDefault: notificationPossible values:
created_atstring · nullableOptionalDefault: null
post/api/v1/workspaces/{id}/duplicate/
POST /api/v1/workspaces/{id}/duplicate/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 1227

{
  "initialization_mode": "DE_IDENTIFY",
  "key_generation_method": "duplicate",
  "default_locale": "en",
  "source": {
    "hooks_params": {
      "SSHTunnel": {
        "host": "text",
        "port": 1,
        "username": "text",
        "local_port": 1,
        "local_host": "text",
        "password": "text",
        "pkey_password": "text",
        "pkey": "text"
      },
      "SSL": {
        "ca_filename": "text",
        "cert_filename": "text",
        "key_filename": "text",
        "ssl_mode": "text",
        "ca": "text",
        "cert": "text",
        "key": "text"
      },
      "Kerberos": {
        "principal": "text",
        "keytab_file": "text"
      }
    },
    "is_source": true,
    "connector_type": "text",
    "host": "text",
    "database": "text",
    "username": "text",
    "password": "text",
    "schema_name": "text",
    "port": 1,
    "protocol": "text",
    "include_views": true,
    "fast_executemany": true
  },
  "target": {
    "hooks_params": {
      "SSHTunnel": {
        "host": "text",
        "port": 1,
        "username": "text",
        "local_port": 1,
        "local_host": "text",
        "password": "text",
        "pkey_password": "text",
        "pkey": "text"
      },
      "SSL": {
        "ca_filename": "text",
        "cert_filename": "text",
        "key_filename": "text",
        "ssl_mode": "text",
        "ca": "text",
        "cert": "text",
        "key": "text"
      },
      "Kerberos": {
        "principal": "text",
        "keytab_file": "text"
      }
    },
    "is_source": true,
    "connector_type": "text",
    "host": "text",
    "database": "text",
    "username": "text",
    "password": "text",
    "schema_name": "text",
    "port": 1,
    "protocol": "text",
    "include_views": true,
    "fast_executemany": true
  },
  "name": "text"
}
{
  "id": "text",
  "code": "text",
  "title": "text",
  "body": [
    "text"
  ],
  "durability": "temporary",
  "duration": 5000,
  "kind": "info",
  "details": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  },
  "payload": null,
  "action": {},
  "display": "notification",
  "created_at": "text"
}
get

Export workspace

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
idintegerRequired
Responses
200

Success: Exported Workspace

application/octet-stream
string · binaryOptional
get/api/v1/workspaces/{id}/export/
GET /api/v1/workspaces/{id}/export/ HTTP/1.1
Accept: */*
binary
put

Import workspace

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
idintegerRequired
Body

Unspecified request body

Other propertiesanyOptional
Responses
200

Success: Workspace import started

No content

put/api/v1/workspaces/{id}/import/
PUT /api/v1/workspaces/{id}/import/ HTTP/1.1
Content-Type: multipart/form-data
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

No content

get
Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
idintegerRequired
Responses
200Success
application/json
pkintegerRead-onlyOptional
workspaceintegerRequired
rolestring · enumRequired
  • OWNER - Owner
  • EDITOR - Editor
  • READER - Reader
Possible values:
data_accessbooleanOptional
get/api/v1/workspaces/{id}/members/
GET /api/v1/workspaces/{id}/members/ HTTP/1.1
Accept: */*
200Success
[
  {
    "pk": 1,
    "workspace": 1,
    "user": {
      "pk": 1,
      "first_name": "text",
      "last_name": "text",
      "full_name": "text",
      "email": "name@gmail.com"
    },
    "role": "OWNER",
    "data_access": true
  }
]

Last updated

Was this helpful?